WHENEVER SQLERROR EXIT FAILURE ROLLBACK;
WHENEVER OSERROR  EXIT FAILURE ROLLBACK;


spool GLD_PERIOD_SETS_VL.log

prompt
prompt Creating view GLD_PERIOD_SETS_VL
prompt ================================
prompt
CREATE OR REPLACE FORCE VIEW gld_period_sets_vl as
select a.period_set_code,
			 b.description_text period_set_name,
			 a.total_period_num,
			 a.period_additional_flag,
			 a.creation_date,
			 a.created_by,
			 a.last_update_date,
			 a.last_updated_by
	from gld_period_sets a, fnd_descriptions b
 where a.period_set_name_id = b.description_id(+)
	 and b.ref_table(+) = 'GLD_PERIOD_SETS'
	 and b.ref_field(+) = 'PERIOD_SET_NAME_ID'
	 and b.language(+) = userenv('lang')
/


spool off


exit
